package com.hdkj.lt.base.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author rj
 * @date 2025/5/30 16:18
 * @description
 */
@Getter
@AllArgsConstructor
public enum ScoreIndicatorEnum {
    /**
     * 评分指标：非自动化开关操作次数（次）
     */
    NON_AUTO_SWITCH_OPERATION_TIMES("nonAutoSwitchOperationTimes", "非自动化开关操作次数（次）"),
    /**
     * 评分指标：损失户数（户）
     */
    LOSS_USERS("lossUsers", "损失户数（户）"),
    /**
     * 评分指标：转出负荷比例（%）
     */
    TRANSFER_LOAD_RATIO("transferLoadRatio", "转出负荷比例（%）"),
    /**
     * 评分指标：对侧线路最大负载率（%）
     */
    OPPOSITE_LINE_MAX_LOAD_RATE("oppositeLineMaxLoadRate", "对侧线路最大负载率（%）"),
    /**
     * 评分指标：配变低电压（台）
     */
    DISTRIBUTION_TRANSFORMER_VOLTAGE("distributionTransformerVoltage", "配变低电压（台）"),
    /**
     * 评分指标：开关操作次数（次）
     */
    SWITCH_OPERATION_TIMES("switchOperationTimes", "开关操作次数（次）"),
    /**
     * 评分指标：损失保电用户数
     */
    LOSS_POWER_SECURED_USERS("lossPowerSecuredUsers","保电用户失电（户）");

    final String indicatorCode;
    final String indicatorName;


    public static String getIndicatorCode(String indicatorName) {
        for (ScoreIndicatorEnum indicatorEnum : ScoreIndicatorEnum.values()) {
            if (indicatorEnum.getIndicatorCode().equals(indicatorName)) {
                return indicatorEnum.getIndicatorCode();
            }
        }
        return null;
    }
}
